/* @(#) ShapesEvent.java 1.1 99/21/11
 * Copyright (c) 1999 Lawrence Rodrigues
 */
package com.vistech.graphics;
import java.awt.*;
import com.vistech.shapes.*;

/** ShapesEvent Class.
  * This is an event-state class for the Shape event.
  * @version 1.0  21 Nov 1999
  * @author Lawrence Rodrigues
  **/
public class ShapesEvent extends java.util.EventObject implements java.io.Serializable{
   protected Shapes shape;
   protected int command;
   public ShapesEvent(Object src,Shapes sh){
      super(src);
   }

   public Shapes getShapes(){
      return shape;
   }

   public void setCommand(int command){
      this.command = command;
   }

   public int getCommand(){
      return command;
   }
}
